Genes Diseases
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/diseasesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/diseases"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/diseases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"pmids": [
"<string>"
],
"term_name": "<string>",
"gene_symbol": "<string>",
"association_type": "<string>",
"association_status": "<string>",
"sgc_id": "<string>",
"hgnc": "<string>",
"classification": "<string>",
"moi_id": "<string>",
"moi_name": "<string>",
"submitter": "<string>",
"source": "<string>",
"source_url": "<string>",
"gene": "<string>",
"disease": "<string>",
"inheritance_mode": "<string>",
"variants": [
{
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>"
}
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Genes Diseases
Retrieve disease-gene pairs from Orphanet, GenCC and ClinGen by genes.
Set verbose = true to retrieve full info on the disease terms, and the variants associated with the disease from ClinGen.
At least one of these fields is required: gene_id, hgnc_id, gene_name, alias.
Example: gene_id = ENSG00000171759,
gene_name = PAH,
alias = PKU1,
source = ClinGen,
hgnc_id = HGNC:8582.
The limit parameter controls the page size and can not exceed 25.
Pagination is 0-based.
Genes Diseases
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/diseasesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/diseases"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/diseases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"pmids": [
"<string>"
],
"term_name": "<string>",
"gene_symbol": "<string>",
"association_type": "<string>",
"association_status": "<string>",
"sgc_id": "<string>",
"hgnc": "<string>",
"classification": "<string>",
"moi_id": "<string>",
"moi_name": "<string>",
"submitter": "<string>",
"source": "<string>",
"source_url": "<string>",
"gene": "<string>",
"disease": "<string>",
"inheritance_mode": "<string>",
"variants": [
{
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>"
}
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
GenCC, Orphanet, ClinGen Available options:
Homo sapiens Available options:
true, false Response
Successful response
Show child attributes
Show child attributes